Description

Des tests ont été fait avec pas mal de fichiers durant les procédures automatiques de calibration/étalonnage.
Le cas considéré ici est un ctc-6: balayage en fréquence ou on enregistre 96 fichiers CWF a F2 comprenants chacun 24 paquets de
336 échantillons. Voir les fichiers joints.

Avec la configuation FSW = 2.0.2.3 et VHDL = 1.1.68 on observe:

- les temps des paquets de 336 échantillons sont bien séparés de 86016 2*-16 s [336 / 256/ 2"-16] a 2"-16 s pres
- SAUF entre le 8¢éme et 9éme paquet ou on observe des valeurs allant de 86003 a 86006 fine times,

- et SAUF entre le 16éme et le 17éme paquet ou on observe la méme irrégularité.

Si j'ai bien compris, 8 paquets correspond a un buffer plein (2688=8*336), et il semblerait que la datation du premier paquet de
chaque buffer est Iégérement erroné, de I'ordre de 10 fine times (~ 150 micro secondes) ?

History

#1 - 09/06/2015 10:37 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to thomas chust

Une salve de 8 paquets, correspondant a 2688 points, est stockée dans LFR sous forme d'un buffer de données et d'une information de temps. Cette
unique information de temps est utilisée pour calculer les acquisition_time des 8 paquets de la salve, ce qui explique qu'entre les 8 paquets de la
salve, le delta soit parfait mais qu'entre le premier paquet d'une salve et le premier paquet de la salve suivante, il puisse y avoir un décalage (quand
on utilise le timegen, sinon, tout est censé étre identique).

Le décalage est supérieur comparé a l'erreur relevée sur les CWF_F1 (10 fine_time au lieu de 2) parce qu'il s'écoule plus de temps entre les deux
buffers (10.5 secondes au lieu de 656.25 ms).

#2 - 09/06/2015 11:28 AM - thomas chust

- Assignee changed from thomas chust to paul leroy

Ok. Mais méme remarque que pour les données CWF_F1 (#383). Pourquoi un rattrapage de 150 micro seconde d'un coup? 150e-6 / 10.5 ~ 1.4e-5 >
1e-6 => dérive supérieure a 1 pour 1 million ?

#3 - 15/06/2015 08:41 AM - paul leroy
- Status changed from Feedback to Resolved

- Assignee changed from paul leroy to thomas chust

Se référer a #441, qui reprend les constatations liées aux dérives de synchronisation.
